Campaigns
Authorization
apiKey api-key<token>
In: query
Query Parameters
page?integer
Page number to return (1-indexed). Defaults to 1.
Default
1Range
1 <= valuelimit?integer
Number of campaigns to return per page. Defaults to 10.
Default
10Range
1 <= valuesearch?string
Case-insensitive substring to match against the campaign name.
status?string
Filter campaigns by status.
Value in
"draft" | "active" | "cancel" | "finished" | "paused" | "error"sort?string
Sort the results by one of the allowed fields. Prefix with + for ascending or - for descending. Defaults to -createdAt. Allowed fields: createdAt, startDate, name.
Value in
"+createdAt" | "-createdAt" | "+startDate" | "-startDate" | "+name" | "-name"Response Body
application/json; charset=utf-8
application/json
application/json
curl -X GET "https://api.getventia.com/api/v1.0/campaigns?page=1&limit=25&search=black+friday&status=active&sort=-createdAt"[
{
"_id": "65f1c1ff61ffd5f1e446d234",
"company": "609b3cff61ffd5f1e446d234",
"name": "Black Friday outreach",
"status": "active",
"version": "2",
"messageCount": 1240,
"isProcessing": false,
"startDate": "2026-04-01T12:00:00.000Z",
"createdBy": "6234da84259c59d9a555c498",
"createdAt": "2026-03-28T10:15:00.000Z",
"updatedAt": "2026-04-12T18:42:11.000Z",
"stats": {
"sentMessages": 1240,
"uniqueSentMessage": 1180,
"uniqueReceipts": 1102,
"totalResponses": 410,
"uniqueResponses": 388,
"deliveryRate": 0.93,
"responseRate": 0.33
}
}
]{
"error": "Status is invalid. Allowed values: draft, active, cancel, finished, paused, error"
}{
"error": "Invalid API Key"
}